Subject: Re: Transient corruption problem with fetchmail
From: Pete McCann <[email-masked]>
To: Jason Tishler <[email-masked]>
Cc: Pete McCann <[email-masked]>, Cygwin <[email-masked]>
Date: Sun, 26 May 2002 13:42:37 -0400

Hi, Jason,

Jason Tishler writes:
 > Pete,
 > 
 > Please post to the Cygwin mailing list <[email-masked]> instead of
 > sending private email.

Sorry, I just didn't want to bother the whole list if there was
already a well-known solution.

 > On Fri, May 24, 2002 at 02:40:46PM -0400, Pete McCann wrote:
 > > I am experiencing the same kind of transient email corruption problem
 > > that you described in an email to the Cygwin mailing list on August 7,
 > > 2001.  Did you ever find the solution to the problem?
 > 
 > Yes, see the following:
 > 
 >     http://sources.redhat.com/ml/cygwin/2002-04/msg01584.html
 > 
 > Note that on August 14, 2001, I posted the following:
 > 
 >     http://www.cygwin.com/ml/cygwin/2001-08/msg00628.html
 > 
 > So you were in the neighborhood, but didn't quite find the "needle in
 > the haystack." :,)

I did eventually find this email; more below...

 > > Any workaround?
 > 
 > Yes, even "more" than a workaround since the above patch has been accepted
 > into fetchmail CVS:
 > 
 >     http://sources.redhat.com/ml/cygwin/2002-05/msg01514.html
 > 
 > > I recently started using fetchmail under Windows 2000 and it is vital
 > > that I be able to read large attachments - if I can't figure this out
 > > I will probably be forced into using Microsoft Exchange or something
 > > similarly evil.  Any help you can provide would be much appreciated.
 > 
 > Are you using the standard Cygwin fetchmail:
 > 
 >     http://sources.redhat.com/ml/cygwin/2002-05/msg01132.html
 >
 > or one built by yourself?

I was using the standard Cygwin fetchmail 5.9.11-1 installed by
setup.exe just last week.  After noticing the corruption problem and
finding your patch, I went to download the latest sources from the
fetchmail homepage.  I looked through socket.c, noticed there was
already some Cygwin-specific stuff there, and did my own compile,
making sure to set CFLAGS="-D__CYGWIN__ -O".  I also noticed the
configure script said "disabling SSL."

After compiling and installing this way, things seem to be working
fine.  I wonder, is the standard Cygwin binary compiled with
-D__CYGWIN__ (I assume so)?  Something else, there doesn't seem to be
any patching to the SSL-specific branch of the code in SockRead();
perhaps my original installation was trying to use SSL.  Has it been
verified that the bug does not impact the SSL handling in the code?

 > Note that I'm using mutt/ssmtp and fetchmail/procmail to avoid going
 > over to the Microsoft side myself.
 > 
 > BTW, you may be interested in the standard Cygwin procmail too:
 > 
 >     http://sources.redhat.com/ml/cygwin/2002-05/msg01138.html

Procmail is working just fine for me, after I made sure to remove all
\r's from my .procmailrc...

-Pete

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/